Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dstc.security.kerberos.creds
Interface CredentialStore

All Known Implementing Classes:
  FileCredentialStore

public interface CredentialStore

An interface to a store for Kerberos credentials.

A concrete implementation of this interface is available for compatibilty with MIT file-based credential caches

See Also:
  `Credential`, `FileCredentialStore`

Method Summary
`Credential` | `getCredential(String name)` Returns the Credential valid for a specified principal
`Iterator` | `getCredentials()` Returns an Iterator to the Credentials in this store Note: to ensure thread-safety, it is necessary to synchronize on CredentialStore instance until all operations on the Iterator instance are completed.
`String` | `getDefaultRealm()` Returns the default realm for this store
`String` | `getDefaultUser()` Returns the default principal name for this store
`Credential` | `getTGTCredential(String realm)` Returns the TGT Credential (a Credential which contains a TGT) valid for a specified realm
`void` | `put(Credential creds)` Adds a supplied Credential to this store

Method Detail

### put

    public void put(Credential creds)

  Adds a supplied Credential to this store

### getCredential

    public Credential getCredential(String name)

  Returns the Credential valid for a specified principal

### getTGTCredential

    public Credential getTGTCredential(String realm)

  Returns the TGT Credential (a Credential which contains a TGT) valid for a specified realm

### getCredentials

    public Iterator getCredentials()

  Returns an Iterator to the Credentials in this store Note: to ensure thread-safety, it is necessary to synchronize on CredentialStore instance until all operations on the Iterator instance are completed. eg.

         CredentialStore credStore = ...;
         ...
         synchronized (credStore) {
           Iterator it = credStore.getCredentials();
           // perform all necessary operations on iterator
           ...
         }

### getDefaultUser

    public String getDefaultUser()

  Returns the default principal name for this store

### getDefaultRealm

    public String getDefaultRealm()

  Returns the default realm for this store

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD